com.r3corda.protocols / BroadcastTransactionProtocol / <init>

# <init>

`BroadcastTransactionProtocol(notarisedTransaction: SignedTransaction, events: Set<ClientToServiceCommand>, participants: Set<Party>)`

Notify all involved parties about a transaction, including storing a copy. Normally this would be called via FinalityProtocol.

### Parameters

`notarisedTransaction` - transaction which has been notarised (if needed) and is ready to notify nodes about.
`events` - information on the event(s) which triggered the transaction.
`participants` - a list of participants involved in the transaction.

Return
a list of participants who were successfully notified of the transaction.